---
title: 拦截消息框
---

# 拦截消息框

IMKit 通过 Android 的 Toast 消息框弹出提醒或消息反馈，一般用来显示操作结果，或者应用状态的改变。从 5.6.3 版本开始，您可以设置 Toast 拦截器，方便统一修改。

## 拦截 Toast 消息框

:::tip

 要求 IMKit 版本 ≧ 5.6.3。
:::


`ToastInterceptor` 的`willToast` 方法会在 UI 线程被调用。在 `willToast` 方法中返回 `false` 表示应用程序需要拦截 Toast。

```java
import io.rong.imkit.utils.ToastUtils;


ToastUtils.setInterceptor(
        new ToastUtils.ToastInterceptor() {
            @Override
            public boolean willToast(
                    @NonNull Context context, @NonNull CharSequence text, int duration) {
                String s = "这是被拦截的 toast：" + text;
                Toast.makeText(context, s, Toast.LENGTH_SHORT).show();
                return false;
            }
        });
```

如果想取消拦截器，设置拦截器为 `null` 即可。

